const cloud = {
  welcome: {
    title: 'Welcome and let’s create your own Logto Cloud Preview',
    description:
      'Whether you’re an open-source or cloud user, take a tour of the showcase and experience the full value of Logto. This demo also serves as a preview of Logto’s SaaS version.',
    project_field: 'I’m using Logto for',
    project_options: {
      personal: 'Personal project',
      company: 'Company project',
    },
    deployment_type_field: 'Prefer open-source or cloud?',
    deployment_type_options: {
      open_source: 'Open-Source',
      cloud: 'Cloud',
    },
  },
  about: {
    title: 'A little bit about you',
    description:
      'Let‘s make your Logto experience unique to you by getting to know you better. Your information is safe with us.',
    title_field: 'Your title',
    title_options: {
      developer: 'Developer',
      team_lead: 'Team Lead',
      ceo: 'CEO',
      cto: 'CTO',
      product: 'Product',
      others: 'Others',
    },
    company_name_field: 'Company name',
    company_name_placeholder: 'Acme.co',
    company_size_field: 'How’s your company size?',
    company_options: {
      size_1: '1',
      size_1_49: '1-49',
      size_50_199: '50-199',
      size_200_999: '200-999',
      size_1000_plus: '1000+',
    },
    reason_field: 'I’m signing up because',
    reason_options: {
      adoption: 'Implementing new tech infra for early projects',
      replacement: 'Seeking a replacement for the current authentication system',
      evaluation: 'Investigating open-source or budget-friendly SaaS options',
      experimentation: 'Exploring and experimenting with OIDC and products',
      aesthetics: 'Finding an auth solution with beautiful UI and components',
      others: 'Others',
    },
  },
  congrats: {
    title: 'Congratulations! You’ve customized and built your own sign-in experience',
    description: 'Check out the live preview and get through end to end flow',
    check_out_button: 'Check out the live preview',
    reserve_title: 'Reserve your time with Logto team',
    reserve_description:
      'Book a one-on-one session with our team for SaaS early credit and use case sharing.',
    book_button: 'Book',
    join_description: 'Join our public <a>{{link}}</a> to connect and chat with other developers.',
    discord_link: 'discord channel',
    enter_admin_console: 'Enter Admin Console',
  },
  gift: {
    title: 'Secure early credit for Logto SaaS join the front-runners now !',
    description: 'Book a one-on-one session with our team for early credit and use case sharing.',
    reserve_title: 'Reserve your time with Logto team',
    reserve_description:
      'You can also save the calendar link. We’re always available to assist you.',
    book_button: 'Book',
  },
  sie: {
    title: 'Let’s first customize your experience with ease',
    inspire: {
      title: 'Create compelling examples',
      description:
        'Feeling unsure about sign in experience? Just click the "Inspire Me" and let the magic happen! ',
      inspire_me: 'Inspire me',
    },
    logo_field: 'App Logo',
    color_field: 'Brand color',
    identifier_field: 'Identifier',
    identifier_options: {
      email: 'Email',
      phone: 'Phone',
      user_name: 'Username',
    },
    authn_field: 'Authentication',
    authn_options: {
      password: 'Password',
      verification_code: 'Verification code',
    },
    social_field: 'Social sign in',
    finish_and_done: 'Finish and done',
  },
};

export default cloud;
